/**
 * @inner
 */
class TceCloudSDKHttpException extends Error {
    constructor(error, requestId="") {
        super(error);
        this.requestId = requestId || '';
    }

    getMessage() {
        return this.message;
    }

    getRequestId() {
        return this.requestId;
    }

    toString() {
        return "[TceCloudSDKException]" + "message:" + this.getMessage() + "  requestId:" + this.getRequestId();
    }

    toLocaleString() {
        return "[TceCloudSDKException]" + "message:" + this.getMessage() + "  requestId:" + this.getRequestId();
    }
}
module.exports = TceCloudSDKHttpException
