declare const AbstractClient: any;
declare const Credential: any;
interface ICredential {
    secretId: string;
    secretKey: string;
    token?: string;
}
export declare class TCECloudApiService {
    service: string;
    version: string;
    proxy: string;
    timeout: number;
    region: string;
    credential: typeof Credential;
    getCredential?: () => Promise<Credential> | Credential;
    _instance: typeof AbstractClient;
    constructor(options: {
        service: string;
        version: string;
        baseUrl: string;
        proxy?: string;
        region?: string;
        credential?: ICredential;
        getCredential?: () => Promise<typeof Credential>;
        timeout?: number;
    });
    request(action: string, data?: Record<string, any>): Promise<unknown>;
}
export {};
